Bug 1239155

Summary: File conflicts between coin-or-OS and coin-or-OS-doc
Product: [Fedora] Fedora Reporter: Matthew Saltzman <mjs>
Component: coin-or-OSAssignee: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: paulo.cesar.pereira.de.andrade
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mp-1.3.0-7.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-14 15:52:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthew Saltzman 2015-07-03 19:21:06 UTC
Description of problem:
It appears that documentation files are packaged with both the coin-or-OS and coin-or-OS-doc RPMs.

Version-Release number of selected component (if applicable):
coin-or-OS-2.9.3-4.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install coin-or-OS
2. Install coin-or-OS-doc
3.

Actual results:
Lots of file conflict errors

Expected results:
No errors.  I suppose that the right thing is for the doc files to appear in the doc RPM and not in the base RPM.  (I also suppose that other coin-or-\* packages should have separate doc packages, but that's another issue.)

Additional info:

Comment 1 Paulo Andrade 2015-07-03 22:14:18 UTC
Thanks.
At least coin-or-Bonmin also has this problem.
I will correct any coin-or package with this
issue.

Comment 2 Fedora Update System 2015-07-03 23:13:15 UTC
coin-or-OS-2.9.3-5.fc21,coin-or-Bonmin-1.8.1-7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-OS-2.9.3-5.fc21,coin-or-Bonmin-1.8.1-7.fc21

Comment 3 Paulo Andrade 2015-07-03 23:15:32 UTC
Fedora 22 update will need a bit of time right now,
to figure out state of dependencies, and if the
person doing the updates will leave it broken.

Right now it cannot install build requires.

Comment 4 Fedora Update System 2015-07-04 00:58:09 UTC
mp-1.3.0-7.fc22,coin-or-Bonmin-1.8.1-7.fc22,coin-or-OS-2.9.3-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mp-1.3.0-7.fc22,coin-or-Bonmin-1.8.1-7.fc22,coin-or-OS-2.9.3-5.fc22

Comment 5 Fedora Update System 2015-07-04 20:12:10 UTC
Package mp-1.3.0-7.fc22, coin-or-OS-2.9.3-5.fc22, coin-or-Bonmin-1.8.1-7.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mp-1.3.0-7.fc22 coin-or-OS-2.9.3-5.fc22 coin-or-Bonmin-1.8.1-7.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11178/mp-1.3.0-7.fc22,coin-or-Bonmin-1.8.1-7.fc22,coin-or-OS-2.9.3-5.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-07-14 15:48:10 UTC
coin-or-OS-2.9.3-5.fc21, coin-or-Bonmin-1.8.1-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-07-14 15:52:35 UTC
mp-1.3.0-7.fc22, coin-or-OS-2.9.3-5.fc22, coin-or-Bonmin-1.8.1-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.